Google AI Overview Scraper

scraper.overview は、豊富な商品データ、引用、広告、Webソースを含む包括的なGoogle AI Overviewのレスポンスを取得し、異なる地域にわたる検索結果の分析を支援します。

Request Example

curl 'https://api.scrapeless.com/api/v2/scraper/request' \
--header 'Content-Type: application/json' \
--header 'x-api-token: {you_api_key}' \
--data '{
    "actor": "scraper.overview",
    "input": {
        "prompt": "Recommended attractions in New York",
        "country": "US",
        "shopping": true
    },
    "webhook": {
        "url": "http://www.youwebhook.com"
    }
}'

Body Parameters

ParameterTypeRequiredDescription
promptstringYesGoogle AI Overviewに送信するプロンプト。
countrystringYes国または地域コード。
shoppingbooleanNoショッピングデータを取得するかどうか。デフォルトは true。有効にすると、products フィールドに商品情報が返されます。
locationstringNo地域ターゲティング結果用のGoogle正規ロケーション名(例:New York,New York,United States)。サポートされているすべてのロケーションについては、Googleの地域ターゲットリストを参照してください。uule とは排他的です。
uulestringNo正確な地域ターゲティング用の事前エンコード済みGoogle UULE文字列。ロケーション名の代わりに事前に構築されたUULE値がある場合に使用します。location とは排他的です。

Response Fields

注意: レスポンスにショッピングデータ(products フィールド)が含まれる場合、API呼び出しは基本料金の2倍で課金されます。これは、複数のソースから商品情報を抽出および処理するために追加のリソースオーバーヘッドが必要となるためです。

💡 Overviewモードがトリガーされない場合、contentrawtext フィールドの両方が空文字列になります。

💡 Overviewモードをトリガーするには、プロンプトを調整するか、プロンプト内のキーワードがGoogle Overviewの対象範囲に含まれていることを確認してください。

データフィールド Source: AI Overview内の商品

typeproduct_positiondescription
productrecommended推奨商品
productinline_linkインラインリンク商品
productreference参照商品
ads productnull広告商品

データフィールド Products: Google スポンサー商品

データフィールド Ads: Google広告(SERP)

ParameterTypeDescription
contentstringMarkdown形式の回答本文。Overviewモードがトリガーされた場合のみ入力されます。それ以外の場合は空文字列になります。
rawtextstring元の回答データ。Overviewモードがトリガーされた場合のみ入力されます。それ以外の場合は空文字列になります。
metadataobjectメタデータ情報。
metadata.rawUrlstringWebページのURL。
is_overview_shoppingboolean埋め込みショッピングデータが含まれているかどうか。
productsarray商品データ。
products.deliverystring配送サービス。
products.discountstring割引情報。
products.imgstring商品画像のURL。
products.orig_pricestring元の価格。
products.ratingstring評価。
products.review_countstringレビュー数。
products.sellerstring販売者。
products.urlstring商品詳細ページのURL。
products.storesarrayストア情報。
products.stores.delivery_feestring配送料。
products.stores.extensionsarray追加サービス。
products.stores.linkstring商品リダイレクトリンク。
products.stores.namestringストア名。
products.stores.pricestring販売価格。
products.ratingsstring評価。
products.tagstringタグ。
products.titlestring商品タイトル。
products.total_pricestring合計価格。
sourcearray引用ソース。
source.faviconstringWebサイトのファビコン。
source.snippetstring引用記事のスニペット。
source.thumbnailstring引用記事の表紙画像(サムネイル)。
source.titlestring引用タイトル。
source.typestringソースタイプ。
source.urlstring引用元のURL。
source.website_namestringWebサイト名。
source.html_indexintMarkdownコンテンツ内の推奨商品ショッピングカードの位置を示します。
source.storesarrayストア情報。
source.stores.delivery_feestring配送料。
source.stores.extensionsarray追加サービス。
source.stores.linkstring商品リダイレクトリンク。
source.stores.namestringストア名。
source.stores.pricestring販売価格。
web_sourcearrayWeb検索ソース。
web_source.faviconstringWebサイトのファビコン。
web_source.snippetstring引用記事のスニペット。
web_source.thumbnailstring引用記事の表紙画像(サムネイル)。
web_source.titlestring引用タイトル。
web_source.urlstring引用元のURL。
web_source.website_namestringWebサイト名。
web_source.storesarrayストア情報。
web_source.stores.delivery_feestring配送料。
web_source.stores.extensionsarray追加サービス。
web_source.stores.linkstring商品リダイレクトリンク。
web_source.stores.namestringストア名。
web_source.stores.pricestring販売価格。
adsarray広告。
ads.section_titlestringセクションタイトル。
ads.typestringタイプ。
ads.titlestringタイトル。
ads.urlstringWebページのURL。
ads.google_ad_urlstring広告リンク。
ads.display_urlstring表示URL。
ads.advertiserstring広告主。
ads.descriptionstring説明。
ads.tracking_tokenstringトラッキングトークン。
ads.slotstring広告スロット番号。
ads.pricestring価格。
ads.orig_pricestring元の価格。
ads.sellerstring販売者。
ads.ratingstring評価。
ads.review_countstringレビュー数。
ads.imgstring商品画像のURL。
ads.site_linksarrayWebサイトリンク。
ads.site_links.titlestringタイトル。
ads.site_links.urlstringWebページのURL。
ads.site_links.google_ad_urlstring広告リンク。